Method: projects.locations.estimateDataSize

Estimates the data size to be used by a customer.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{location=projects/*/locations/*}:estimateDataSize

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
location

string

Required. Full resource name of the location, such as projects/{project}/locations/{location}.

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "websiteDataSource": {
    object (WebsiteDataSource)
  },
  "fileDataSource": {
    object (FileDataSource)
  }
  // End of mutually exclusive fields.
}
Fields
Data source for which we are estimating its size. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
websiteDataSource

object (WebsiteDataSource)

Website data.

fileDataSource

object (FileDataSource)

Structured or unstructured data.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the location resource:

  • discoveryengine.locations.estimateDataSize

For more information, see the IAM documentation.

WebsiteDataSource

Data source is a set of website patterns that we crawl to get the total number of websites.

JSON representation
{
  "estimatorUriPatterns": [
    {
      object (EstimatorUriPattern)
    }
  ]
}
Fields
estimatorUriPatterns[]

object (EstimatorUriPattern)

Required. The URI patterns to estimate the data sizes. At most 10 patterns are allowed, otherwise an INVALID_ARGUMENT error is thrown.

EstimatorUriPattern

URI patterns that we use to crawl.

JSON representation
{
  "providedUriPattern": string,
  "exactMatch": boolean,
  "exclusive": boolean
}
Fields
providedUriPattern

string

User provided URI pattern. For example, foo.com/bar/*.

exactMatch

boolean

Whether we infer the generated URI or use the exact provided one.

exclusive

boolean

Whether the pattern is exclusive or not. If set to true, the pattern is considered exclusive. If unset or set to false, the pattern is considered inclusive by default.

FileDataSource

Data source contains files either in Cloud Storage or BigQuery.

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "gcsSource": {
    object (GcsSource)
  },
  "bigquerySource": {
    object (BigQuerySource)
  }
  // End of mutually exclusive fields.
}
Fields
Which source contains the files to be used. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
gcsSource

object (GcsSource)

Cloud Storage location for the input content.

bigquerySource

object (BigQuerySource)

BigQuery input source.

End of mutually exclusive fields.